Bug 120772 - Own "auto" compat dirs, remove buildroot traces
Own "auto" compat dirs, remove buildroot traces
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
: FutureFeature
Depends On:
Blocks: FC2Blocker FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-04-13 16:25 EDT by Ville Skyttä
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.8.5-9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-29 09:39:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Suggested specfile patch (2.71 KB, patch)
2004-04-13 16:27 EDT, Ville Skyttä
no flags Details | Diff
Bring patch from comment #1 up to date (perl-5.8.4-3). (3.55 KB, patch)
2004-07-01 17:54 EDT, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2004-04-13 16:25:39 EDT
The new perl packages do not own the "auto" dirs for the compat
versions, and config.h contains buildroot traces.  Will attach a patch
to fix this and make the spec a bit more maintainable (although I'm
unable to build this on FC1 probably due to the FindBin patch).
Comment 1 Ville Skyttä 2004-04-13 16:27:41 EDT
Created attachment 99380 [details]
Suggested specfile patch
Comment 2 Ville Skyttä 2004-04-23 11:31:24 EDT
BTW 5.8.4 is out.
Comment 3 Warren Togami 2004-05-07 00:10:31 EDT
Ah crap... this looks important, but it may be too late for FC2 now.

Ville, is your patch still workable with the latest perl?

Chip, mind if I check this in, or can you?
Comment 4 Warren Togami 2004-05-07 00:46:02 EDT
Jeremy said if this can be built on Friday, it should be okay for FC2.
 Ville please double check against latest perl ASAP.
Comment 5 Ville Skyttä 2004-05-07 13:30:55 EDT
Given this timeframe, checking the 5.8.3 -> 5.8.4 upgrade is way
beyond me.  There are some (minor) possible incompatibilities listed
in the 5.8.4 release notes:
http://search.cpan.org/dist/perl/pod/perl584delta.pod#Incompatible_Changes

Unless someone has already been preparing to upgrade to 5.8.4, I'd
suggest just applying this patch and rebuilding a new 5.8.3 for FC2.
Comment 6 Jose Pedro Oliveira 2004-07-01 17:49:01 EDT
This problem still exists in perl-5.8.4-3.

How to reproduce the problem
----------------------------

1) Install the latest check-buildroot script from fedora.us
   
   (Full instructions in comment #1 
    https://bugzilla.fedora.us/show_bug.cgi?id=1756)

2) rpmbuild -ba perl.spec

Building output in a FC2 system (Intel i386)
--------------------------------------------
...
extracting debug info from
/var/tmp/perl-root/usr/lib/perl5/5.8.4/i386-linux-thread-multi/auto/Socket/Socket.so
extracting debug info from /var/tmp/perl-root/usr/bin/a2p
extracting debug info from /var/tmp/perl-root/usr/bin/perl
extracting debug info from /var/tmp/perl-root/usr/bin/suidperl
extracting debug info from /var/tmp/perl-root/usr/bin/perl5.8.4
cpio: perl-5.8.4/x2p/y.tab.c: No such file or directory
32784 blocks
+ /usr/lib/rpm/check-rpaths
+ /usr/lib/rpm/check-buildroot
/var/tmp/perl-root/usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/config.h:#define
INSTALL_PREFIX "/var/tmp/perl-root/usr"             /**/
/var/tmp/perl-root/usr/lib/perl5/5.8.4/i386-linux-thread-multi/CORE/config.h:#define
INSTALL_PREFIX_EXP "/var/tmp/perl-root/usr" /**/
Found '/var/tmp/perl-root' in installed files; aborting
error: Bad exit status from /var/tmp/rpm-tmp.59805 (%install)


RPM build errors:
     Bad exit status from /var/tmp/rpm-tmp.59805 (%install)
---------- 
Comment 7 Jose Pedro Oliveira 2004-07-01 17:54:40 EDT
Created attachment 101573 [details]
Bring patch from comment #1 up to date (perl-5.8.4-3).

I also made a couple more changes. Changelog follows:

%changelog
* Thu Jul  1 2004 Jose Pedro Oliveira <jpo@di.uminho.pt> - 3:5.8.4-4
- Corrected the license information (missing GPL).
- Added the URL tag.
- Removed empty .bs files.
- Eliminated several strip generated messages (bug 127025).
- Corrected problems mentioned in bug 120772
  (updated Ville Skyttä patch for perl 5.8.4).
Comment 8 Robert Scheck 2004-10-14 03:06:22 EDT
Changelog looks corrupted, here:

* Tue Oct 12 2004 Jose Pedro Oliveira <jpo@di.uminho.pt>
- Corrected the license information (missing GPL).
- Added the URL tag.
- Removed empty .bs files.
- Eliminated several strip generated messages (bug 127025).
- Corrected problems mentioned in bug 120772
  (updated Ville Skytt* Tue Oct 12 2004 Chip Turner <cturner@redhat.com> 3:5.8.5-7
Comment 9 Warren Togami 2004-10-14 03:12:59 EDT
Chip, too late for this?
Comment 10 Ville Skyttä 2005-01-29 09:39:12 EST
This is almost completely fixed in 5.8.5-9.  "Almost" -> see bug 127025.

Note You need to log in before you can comment on or make changes to this bug.